<script lang="ts">
	import Logo from '$lib/components/docs/navigation/Logo.svelte';
	import ThemeSwitcher from '$lib/components/docs/ThemeSwitcher.svelte';
</script>

<nav>
	<ThemeSwitcher />

	<a href="/" class="logo">
		<Logo />
	</a>

	<a href="/">Home</a>
	<a href="/about">About</a>
	<a href="/components">Components</a>
</nav>

<style lang="scss">
	nav {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 1em;
		width: 100%;
	}

	a {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		color: var(--color-fg);
	}

	.logo {
		width: 8em;
		max-width: 100%;
	}
</style>
